4.11. PostgreSQL

Обновление баз данных

При обновлении Red Hat Enterprise Linux 5 с PostgreSQL 8.4 (postgresql84-*) новые пакеты PostgreSQL просто их заменят.

Прежде чем приступить к обновлению Red Hat Enterprise Linux 5 с PostgreSQL 8.1 (postgresql-*), необходимо выполнить действия, перечисленные на http://www.postgresql.org/docs/8.4/interactive/install-upgrading.html. В противном случае не исключены проблемы доступа новой версии PostgreSQL к данным вследствие изменений формата. Создайте дамп до обновления системы Red Hat Enterprise Linux.
Другие изменения

На странице http://wiki.postgresql.org/wiki/WhatsNew84 можно найти информацию о совместимости PostgreSQL 8.1 и 8.4.